Package org.apache.batchee.container.impl.controller.chunk

## Class SkipHandler

- java.lang.Object
- - org.apache.batchee.container.impl.controller.chunk.SkipHandler

-     public class SkipHandler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SkipHandler​(Chunk chunk)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSkipProcessListener​(List<javax.batch.api.chunk.listener.SkipProcessListener> skipProcessListener)` | Add the user-defined SkipReadListeners.
    `void` | `addSkipReadListener​(List<javax.batch.api.chunk.listener.SkipReadListener> skipReadListener)` | Add the user-defined SkipReadListeners.
    `void` | `addSkipWriteListener​(List<javax.batch.api.chunk.listener.SkipWriteListener> skipWriteListener)` | Add the user-defined SkipWriteListeners.
    `void` | `handleExceptionRead​(Exception e)` | Handle exception from a read failure.
    `void` | `handleExceptionWithRecordListWrite​(Exception e, List<Object> items)` | Handle exception from a write failure.
    `void` | `handleExceptionWithRecordProcess​(Exception e, Object w)` | Handle exception from a process failure.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SkipHandler

          public SkipHandler​(Chunk chunk)

  - ### Method Detail

    - #### addSkipReadListener

          public void addSkipReadListener​(List<javax.batch.api.chunk.listener.SkipReadListener> skipReadListener)

      Add the user-defined SkipReadListeners.

    - #### addSkipWriteListener

          public void addSkipWriteListener​(List<javax.batch.api.chunk.listener.SkipWriteListener> skipWriteListener)

      Add the user-defined SkipWriteListeners.

    - #### addSkipProcessListener

          public void addSkipProcessListener​(List<javax.batch.api.chunk.listener.SkipProcessListener> skipProcessListener)

      Add the user-defined SkipReadListeners.

    - #### handleExceptionRead

          public void handleExceptionRead​(Exception e)

      Handle exception from a read failure.

    - #### handleExceptionWithRecordProcess

          public void handleExceptionWithRecordProcess​(Exception e,
                                                       Object w)

      Handle exception from a process failure.

    - #### handleExceptionWithRecordListWrite

          public void handleExceptionWithRecordListWrite​(Exception e,
                                                         List<Object> items)

      Handle exception from a write failure.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`